{ config, lib, pkgs, ... }:

with lib;

let
  fn = import ../fn.nix { inherit lib; };
  # ocv3 = pkgs.python38Packages.opencv3.override { enableGtk2 = true; enableFfmpeg = true; enableGStreamer = true; };
in {
  config.machine.pkgsets.python3.pkgwrap = (pkgs.gitpkgs.python38.withPackages (ps: (fn.pkgFilter config.machine.pkgsets.python3.pkgs)));
  config.machine.pkgsets.python3.pkgs = with pkgs.gitpkgs.python38Packages; [
    GitPython
    bpython
    configparser
    emoji
    epc
    flake8
    genanki
    matplotlib ipywidgets
    python-docx
    mypy
    numpy
    mysqlclient
    pandas
    # ocv3 scipy scikitimage (imutils.override { opencv3 = ocv3; })
    paho-mqtt
    pep8
    pillow
    pip
    plotly
    pyflakes
    pypdf2
    # pygame pygame_sdl2
    pylama
    pylint toml
    pyopengl
    pyproj
    pytest
    requests
    schedule
    scipy
    selenium
    setuptools
    telegram
    tkinter
    toolz
    tifffile
    virtualenv
    # xdot
  ];
}
